EVP_PKEY_NEW(3)

NAME
EVP_PKEY_new, EVP_PKEY_free - private key allocation functions

SYNOPSIS
#include <openssl/evp.h>
EVP_PKEY *
EVP_PKEY_new(void);
void
EVP_PKEY_free(EVP_PKEY *key);

DESCRIPTION
The EVP_PKEY structure is used by various OpenSSL functions which require a general private key without reference to any particular algorithm.

The EVP_PKEY_new() function allocates an empty EVP_PKEY structure. To add a private key to it, use the functions described in EVP_PKEY_set1_RSA(3).

EVP_PKEY_free() frees up the private key key. If key is a NULL pointer, no action occurs.

RETURN VALUES
EVP_PKEY_new() returns either the newly allocated EVP_PKEY structure or NULL if an error occurred.

SEE ALSO
EVP_PKEY_set1_RSA(3)

HISTORY
EVP_PKEY_new() and EVP_PKEY_free() exist in all versions of OpenSSL.